﻿.appOnnx-tile {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(0deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appOnnx-tile:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appOnnx-tile-rotate {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(180deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appOnnx-tile-rotate:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appOnnx-tile-content {
    position: absolute;
    width: 100%;
    height: 100%;
}

.appOnnx-tile-activities {
     height: 80%;
    width: 120%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%; 
    background-color: orange;
    color: white;
    cursor: pointer;
    margin-left: 45%;
    margin-top: -70%;
}

.appOnnx-tile-close-back {
    height: 140%;
    width: 140%;
    border-radius: 50%;
    display: inline-block;
    background-color: white;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 40%;
    margin-top: -80%;
}

.appOnnx-tile-config {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    display: inline-block;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 10%;
    margin-top: 10%;
}

.appOnnx-grid-container-tile-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 15% 80% 5%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appOnnx-grid-container-tile-tooltip {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: default;
    overflow: auto;
}

.appOnnx-grid-container-tile-tooltip-content {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto auto;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: default;
}

.appOnnx-grid-container-tile-back {
    display: none;
    transform: rotateY(180deg);
    grid-template-columns: 100%;
    grid-template-rows: 10% 90%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appOnnx-grid-container-tile-header {
    display: grid;
    grid-template-columns: max-content max-content max-content auto 10%;
    grid-column-gap: 2%;
    margin-left: 2%;
}

.appOnnx-grid-container-tile-content-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
}

.appOnnx-glyphicon {
    color: gray;
    background-color: transparent;
    padding-top: 15%;
}

.appOnnx-glyphicon-close {
    color: gray;
    background-color: transparent;
    height: 120%;
    width: 120%;
    margin-top: -10%;
}

.appOnnx-grid-container-tile-content-back {
    display: grid;
    grid-template-columns: 33% 34% 33%;
    grid-template-rows: 25% 75%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appOnnx-grid-container-tile-values-front {
    display: grid;
    background-color: transparent;
    width: 100%;
    height: 100%;
    cursor: pointer;
    justify-content: center;
}

.appOnnx-grid-container-config-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appOnnx-grid-container-config {
    display: grid;
    grid-template-columns: 50% 50% 50%;
    grid-template-rows: max-content max-content max-content;
    background-color: transparent;
    width: 100%;
}

.appOnnx-grid-container-config-data-select-metric-item-header {
    display: grid;
    grid-template-columns: 50% 50%;
}